package com.hai.service;

import com.hai.entity.HighDiscountAgentRel;
import com.hai.entity.HighDiscountUserRel;

import java.util.List;
import java.util.Map;

/**
 * @Auther: 胡锐
 * @Description:
 * @Date: 2021/4/4 15:10
 */
public interface HighDiscountUserRelService {

    /**
     * @Author 胡锐
     * @Description 领取卡券
     * @Date 2021/4/4 15:12
     **/
    void receiveDiscount(Long userId,Long discountAgentId);

    /**
     * @Author 胡锐
     * @Description
     * @Date 2021/4/4 15:45 
     **/
    HighDiscountUserRel getRelByUserDiscount(Long userId,Long discountId);

    /**
     * @Author 胡锐
     * @Description 查询优惠券列表
     * @Date 2021/4/4 15:35
     **/
    List<HighDiscountUserRel> getDiscountList(Map<String, Object> map);

}
